package com.ibm.etools.beaninfo.testing;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */
/**
 * Purpose of this test is to make sure that a property
 * that is an inner class will be introspected correctly,
 * and if we then introspect that inner class, it should be
 * proper too.
 */
public class Customer {
   public class Account {
        private int balance;
        private int acctNumber;

        public int getBalance() {return balance;}
        public void setBalance(int b) { balance = b; }
        public int getAcctNumber() { return acctNumber; }
        public void setAcctNumber(int a) { acctNumber = a; }
   }

   private String name;
   private Account savings;
   
   public String getName() { return name; }
   public void setName(String n) { name = n; }
   public Account getSavings() { return savings; }
   public void setSavings(Account a) { savings = a; }
}