package com.ibm.etools.beaninfo.testing;

import com.ibm.etools.beaninfo.testing.prereq.TestChangesClassPreq;

/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */
/**
 * A class with some properties. Introspect's through reflection. All of superclass will show up.
 */
public class TestChangesClass extends TestChangesClassPreq {
	
	public static class InnerTestChangesClass extends InnerTestChangesClassPreq {
		private boolean setting;
		public boolean isSet() {
			return setting;
		}
		public void setSet(boolean setting) {
			this.setting = setting;
		}		
	}
	
	private boolean setting;
	public boolean isSet() {
		return setting;
	}
	public void setSet(boolean setting) {
		this.setting = setting;
	}
}