package com.ibm.etools.beaninfo.ui;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001, 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */


import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.eclipse.core.runtime.*;
import java.util.*;
/**
 * Plugin class for the Beaninfo UI Plugin
 */

public class BeaninfoUIPlugin extends AbstractUIPlugin {
	public static final String copyright = "(c) Copyright IBM Corporation 2001, 2002."; //$NON-NLS-1$
	public static final String PI_BEANINFO_UI = "com.ibm.etools.beaninfo.ui";	// Plugin ID	 //$NON-NLS-1$
	private static BeaninfoUIPlugin BEANINFO_UI_PLUGIN = null;
	
	public BeaninfoUIPlugin(IPluginDescriptor pluginDescriptor) {	
		super(pluginDescriptor);
		BEANINFO_UI_PLUGIN = this;
	}
	
	/**
	 * Accessor method to get the singleton plugin.
	 */
	public static BeaninfoUIPlugin getPlugin() {
		return BEANINFO_UI_PLUGIN;
	}
}