package com.ibm.etools.cde;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */



import org.eclipse.ui.*;
import org.eclipse.jface.action.*;

public class ActionBarContributor extends com.ibm.etools.gef.ui.actions.ActionBarContributor {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public ActionBarContributor(){
	}

/**
 * declare actions used by this editor.
 */
protected void declareActions() {
	super.declareActions();
	
	toolbarActions.add(ZoomAction.ACTION_ID);
	toolbarActions.add(ZoomInAction.ACTION_ID);
	toolbarActions.add(ZoomOutAction.ACTION_ID);

	toolbarActions.add(ShowGridAction.ACTION_ID);
	toolbarActions.add(SnapToGridAction.ACTION_ID);
	toolbarActions.add(GridPropertiesAction.ACTION_ID);

	toolbarActions.add(AlignmentAction.getActionId(AlignmentCommandRequest.LEFT_ALIGN));
	toolbarActions.add(AlignmentAction.getActionId(AlignmentCommandRequest.CENTER_ALIGN));
	toolbarActions.add(AlignmentAction.getActionId(AlignmentCommandRequest.RIGHT_ALIGN));
	toolbarActions.add(AlignmentAction.getActionId(AlignmentCommandRequest.TOP_ALIGN));
	toolbarActions.add(AlignmentAction.getActionId(AlignmentCommandRequest.MIDDLE_ALIGN));
	toolbarActions.add(AlignmentAction.getActionId(AlignmentCommandRequest.BOTTOM_ALIGN));
	toolbarActions.add(AlignmentAction.getActionId(AlignmentCommandRequest.MATCH_WIDTH));
	toolbarActions.add(AlignmentAction.getActionId(AlignmentCommandRequest.MATCH_HEIGHT));
	
	toolbarActions.add(ShowDistributeBoxAction.ACTION_ID);
	toolbarActions.add(DistributeAction.getActionId(DistributeCommandRequest.HORIZONTAL));
	toolbarActions.add(DistributeAction.getActionId(DistributeCommandRequest.VERTICAL));
}
}