package com.ibm.etools.cde;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.gef.editpolicies.ComponentEditPolicy;
import com.ibm.etools.common.command.Command;
import com.ibm.etools.gef.requests.DeleteRequest;
/**
 * A default ComponentEditPolicy to use if there is no special
 * delete on component requirements above and beyond the 
 * GEF ComponentEditPolicy (which simply sends the request on to the parent).
 */
public class DefaultComponentEditPolicy extends ComponentEditPolicy {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	protected Command createDeleteCommand(DeleteRequest req) {
		return null;	// No component specific delete request. Let it default to parent.
	}

}