package com.ibm.etools.cde;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

/**
 * Implementers can be disposed when not needed.
 * It is used by the EditDomain to know what data needs to be disposed when
 * the editdomain is disposed.
 * @version 	1.0
 * @author
 */
public interface ICDEDisposable {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public void dispose();
}
