package com.ibm.etools.cde;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */



import org.eclipse.swt.graphics.ImageData;
import org.eclipse.swt.graphics.Image;
import java.util.EventListener;
/**
 * Proxy listener for Image Changed Listener,
 * including size/position of image.
 * Creation date: (3/3/00 5:10:37 PM)
 * @author: Administrator
 */
public interface IImageListener extends EventListener {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	/**
	 * The image of this object has changed.
	 * The new image data is sent along.
	 * If it is null, then there is no image
	 * to render. This could happen because
	 * the size was (0,0) for example. In this
	 * case the listener would probably want to 
	 * handle no image.
	 * Creation date: (3/3/00 5:11:51 PM)
	 */
	public void imageChanged(ImageData imageData);
}
