package com.ibm.etools.jbcf;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import org.eclipse.jface.viewers.TextCellEditor;
import org.eclipse.swt.widgets.Composite;

import com.ibm.etools.jbcf.BeanFeatureEditor.IWrappedCellEditor;

public class BeanTextCellEditor extends TextCellEditor implements IWrappedCellEditor {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	/**
	 * Constructor for BeanTextCellEditor.
	 * @param parent
	 */
	public BeanTextCellEditor(Composite parent) {
		super(parent);
	}

	/**
	 * @see IWrappedCellEditor#newValue(String)
	 */
	public void newValue(String text) {
		setValue(text);
	}
}
