package com.ibm.etools.jbcf;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.cde.emf.EMFContainerPolicy;
import com.ibm.etools.emf.jbcf.JBCFPackage;
import com.ibm.etools.emf.ref.RefRegister;
import com.ibm.etools.emf.ref.RefObject;
import com.ibm.etools.cde.EditDomain;
/**
 * Container Edit Policy for Bean Compositions.
 */
public class CompositionContainerPolicy extends EMFContainerPolicy {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public CompositionContainerPolicy(EditDomain domain) {
		super(((JBCFPackage) RefRegister.getPackage(JBCFPackage.packageURI)).getBeanComposition_Components(), domain);
	}

}