package com.ibm.etools.jbcf;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.util.List;
import java.net.URL;
import org.eclipse.jdt.launching.*;
/**
 * Interface for environments.  These class can initialize the environment for a JBCF user so that the class
 * path can be manipilated.  The URL for the vameRootURL can be used to locate resources
 * in a VAME environment, and this will be extended to support VAJava
 */
public interface IJBCFClassPath {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
public void contributeClassPaths(List classPaths , URL vameRootURL);

public void contributeConfig(VMRunnerConfiguration aConfig, URL vameRootURL);

}