package com.ibm.etools.jbcf;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.util.ResourceBundle;
/**
 * General VCE Bean NLS Constants
 * Creation date: (4/13/00 10:46:58 AM)
 * @author: Administrator
 */
public interface JBCFNls {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	// Resource Bundle to use for basic VCE Bean resources.
	static public final ResourceBundle RESBUNDLE = ResourceBundle.getBundle("com.ibm.etools.jbcf.jbcf"); //$NON-NLS-1$

	// Keys for messages/strings within the resource bundle.
	static public final String
		
		BEANFEATUREEDITOR_ERRSETWITHMSG = RESBUNDLE.getString("BeanFeatureEditor.errSetWithMsg_ERROR_"), //$NON-NLS-1$
		BEANFEATUREEDITOR_ERRSETWITHNOMSG = RESBUNDLE.getString("BeanFeatureEditor.errSetWithNoMsg_ERROR_"), //$NON-NLS-1$
		BEANCLASS_ERRNOCREATE_WARN_ = "BeanClass.errNoCreate", //$NON-NLS-1$
		CONSTRAINTEDITOR_INVALID = "ConstraintEditor.invalid_ERROR_", //$NON-NLS-1$
		PROXYFACTORY_NOBEANPROXY = "ProxyFactory.noBeanProxy_WARN_", //$NON-NLS-1$
		PROXYFACTORY_NOBEANTYPEPROXY = "ProxyFactory.noBeanTypeProxy_WARN_", //$NON-NLS-1$

		BEANCELLEDITORS_INVALIDVALUE = "BeanCellEditors.invalidValue_ERROR_"; //$NON-NLS-1$
}
