package com.ibm.etools.jbcf.codegen;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

/**
 * @author gmendel
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public interface ICodeGenStatus {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public static int  JVE_CODEGEN_STATUS_SYNCHING				= 0x01 ;
	public static int  JVE_CODEGEN_STATUS_OUTOFSYNC 				= 0x02 ;
	public static int  JVE_CODEGEN_STATUS_UPDATING_SOURCE 		= 0x04 ;
	public static int  JVE_CODEGEN_STATUS_UPDATING_JVE_MODEL 		= 0x08 ;
	public static int  JVE_CODEGEN_STATUS_PAUSE					= 0x10 ;
	public static int  JVE_CODEGEN_STATUS_PARSE_ERRROR			= 0x20 ;
	public static int  JVE_CODEGEN_STATUS_RELOAD_PENDING          = 0x40 ;
	public static int  JVE_CODEGEN_STATUS_RELOAD_IN_PROGRESS      = 0x80 ;
	
	
	/**
	 * Enable/Disable a state
	 */
	public void setStatus(int flag, boolean state) ;
	/**
	 * Get the complete state 
	 */
	public int  getState() ;
	/**
	 * check for specific status
	 */
	public boolean isStatusSet(int state) ;
	/**
	 * This method will set the RELOAD_PENDING flag, as well
	 * as keep a counter for outstanding pending request
	 * @return if the reload counter > 0
	 */
	public boolean setReloadPending(boolean flag) ;
		

}
