package com.ibm.etools.jbcf.codegen;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.cdm.* ;
import com.ibm.etools.emf.resource.*;
import org.eclipse.core.resources.IFile;
import com.ibm.etools.jbcf.emf.vce.BeanSubclassComposition ;

/**
 *  A place holder of a Composition Model
 */
public interface IDiagramModelInstance {
	
		
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	// Get the root element of the Model	
	public BeanSubclassComposition getModelRoot() ; 
	
	// Get the model's MOF document resource	
	public Resource    getModelResource() ;  
	
	// Get the Resource Set
	public ResourceSet getModelResourceSet () ;
	
	// Erase the current Model
	public void		clearModel () ;
	
	// Create an empty composition Model
	public void		createEmptyComposition() 	throws Exception ;	 
	
	// Add and empty diagram to the model
	public void	addEmptyDiagram()  ;
	
	public Diagram getDiagram() ;
	
	

}


