package com.ibm.etools.jbcf.codegen.java.rules;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.emf.ref.RefObject ;
import org.eclipse.jdt.core.* ;
import com.ibm.etools.jbcf.codegen.* ;

/**
 *  Enable the rules to set an instance Variable name
 */
public interface IInstanceVariableCreationRule {

	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
static final String 	RULE_ID = "ruleInstanceVariableCreation" ;	 //$NON-NLS-1$
static final String 	DEFAULT_VAR_PREFIX    = "ivj" ; //$NON-NLS-1$
static final String     DEFAULT_METHOD_PREFIX = "get" ;	 //$NON-NLS-1$
      

public String getInstanceVariableName (RefObject obj, IType currentType,IDiagramModelInstance cm) ;
public String getInstanceVariableMethodName (RefObject obj, IType currentType, IDiagramModelInstance cm) ;
public boolean isLocalDecleration (RefObject obj, IType currentType, IDiagramModelInstance cm) ;
public boolean isGenerateAMethod(RefObject obj, IType currentType, IDiagramModelInstance cm) ;

	
}


