package com.ibm.etools.jbcf.vce;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.jbcf.*;
import org.eclipse.ui.views.properties.*;
import com.ibm.etools.beaninfo.*;
import com.ibm.etools.java.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.jface.viewers.*;
//import com.ibm.etools.gef.emf.decorators.*;
import com.ibm.etools.jbcf.BeanCellRenderer;
//import com.ibm.etools.gef.emf.adapters.propertysource.ICanBeSingleton;
//import com.ibm.etools.gef.emf.*;
import com.ibm.etools.emf.ref.*;
import com.ibm.etools.emf.ecore.*;
import com.ibm.etools.propertysheet.ICommandPropertyDescriptor;
//import com.ibm.etools.ocm.ui.model.OCMModelConstants;
//import com.ibm.etools.gef.emf.commands.CommandBuilder;
import com.ibm.etools.common.command.*;
import com.ibm.etools.jbcf.emf.vce.*;
import com.ibm.etools.jbcf.emf.vce.Method;
import java.util.*;
import org.eclipse.core.runtime.*;
import java.lang.reflect.*;
import java.text.*;

public class MethodParameterPropertyDescriptor extends PropertyDescriptor implements ICommandPropertyDescriptor {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	protected JavaParameter fJavaParm;
	protected Method fMethodNode;
	
private void keepAndReviewInTheFuture() {
	com.ibm.etools.cde.CDEHack.fixMe("Class has been commented out for now. Keep for the future"); //$NON-NLS-1$
}
public MethodParameterPropertyDescriptor(JavaParameter aJavaParm, Method aMethodNode, ParameterDecorator aParmDecor){
	super(aJavaParm,aParmDecor.getDisplayName());
	fMethodNode = aMethodNode;
	fJavaParm = aJavaParm;
}
//public CellEditor createPropertyEditor(Composite parent){
//	
//	Class editorClass = null;
//	String classNameAndData = "";
//		
//	// Step 2 - If not on feature, then get it from the type, look for BasePropertyDecorator.
//	if ( editorClass == null ) {
//		DecoratorsPackage dp = (DecoratorsPackage) RefRegister.getPackage(DecoratorsPackage.packageURI);
//		BasePropertyDecorator bdec = (BasePropertyDecorator) ClassDecoratorFeatureAccess.getDecoratorWithFeature((EClassifier)fJavaParm.getJavaType(), BasePropertyDecorator.class, dp.metaBasePropertyDecorator().metaCellEditorClassname());
//		if (bdec != null) {
//			try {
//				classNameAndData = bdec.getCellEditorClassname();
//				editorClass = EMFPlugin.getPlugin().getClassFromString(classNameAndData);
//			} catch (ClassNotFoundException e) {
//				// One specified, but incorrect, log it, but continue and see if we can get another way.
//				EMFPlugin.getPlugin().getLog().log(new Status(IStatus.WARNING, EMFPlugin.getPlugin().getPluginID(), 0, "", e));
//			}
//		}
//	}
//			
//	if ( editorClass != null ) {
//		return createCellEditorInstance(editorClass,parent, classNameAndData, null);
//	} else {
//		return null;
//	}
//}
//public ILabelProvider getLabelProvider(){
//	
//	Class labelProviderClass = null;
//	String classNameAndData = "";
//		
//	// See if there is a label provider on the decorator for the class on its BasePropertyDecorator
//	DecoratorsPackage dp = (DecoratorsPackage) RefRegister.getPackage(DecoratorsPackage.packageURI);
//	BasePropertyDecorator bdec = (BasePropertyDecorator) ClassDecoratorFeatureAccess.getDecoratorWithFeature((EClassifier) fJavaParm.getJavaType(), BasePropertyDecorator.class, dp.metaBasePropertyDecorator().metaLabelProviderClassname());
//	if (bdec != null) {
//		try {
//			classNameAndData = bdec.getLabelProviderClassname();
//			labelProviderClass = EMFPlugin.getPlugin().getClassFromString(classNameAndData);
//		} catch (ClassNotFoundException e) {
//			// One specified, but incorrect, log it, but continue and see if we can get another way.
//			EMFPlugin.getPlugin().getLog().log(new Status(IStatus.WARNING, EMFPlugin.getPlugin().getPluginID(), 0, "", e));
//		}
//	}
//	
//	if ( labelProviderClass != null ) {
//		return createLabelProviderInstance(labelProviderClass, classNameAndData, null);
//	} else {
//		// Step 5 - BeanCellRenderer will simply do toBeanString.
//		return new BeanCellRenderer(this);
//	}
//}
//
///**
// * instantiate the  class passed in. If it has an ctor that
// * takes a IPropertyDescriptor, use that one.
// * A CellEditor must be constructed with a Composite
// */
//protected CellEditor createCellEditorInstance(Class clazz,Composite aComposite, String data, Object initData) {
//	Constructor ctor = null;
//	CellEditor editor = null;
//	try {
//		ctor = clazz.getConstructor(new Class[] {JavaHelpers.class,Composite.class});
//	} catch (NoSuchMethodException e) {
//	};
//	try {
//		if (ctor != null) {
//			// 
//			editor = (CellEditor) ctor.newInstance(new Object[] {fJavaParm.getJavaType(),aComposite});
//		} else {
//			ctor = clazz.getConstructor(new Class[] {Composite.class});
//			editor = (CellEditor) ctor.newInstance(new Object[] {aComposite});
//		}
//		
//		EMFPlugin.setInitializationData(editor, data, initData);
//		ICellEditorValidator validator = getValidator();
//		if (validator != null)
//			editor.setValidator(validator);
//	} catch (Exception exc) {
//		String msg = MessageFormat.format(NLS.getResourceString(NLS.NOT_INSTANTIATE), new Object[] {clazz, ""});
//		EMFPlugin.getPlugin().getLog().log(new Status(IStatus.WARNING, EMFPlugin.getPlugin().getPluginID(), 0, msg, exc));
//	}
//	return editor;
//}
///**
// * instantiate the  class passed in. If it has an ctor that
// * takes a IPropertyDescriptor, use that one.
// *
// * Note: if this class has a constructor that takes a propertydescriptor,
// * then it won't be checked to see if it can be a singleton. It can't be
// * a singleton if it takes a property descriptor.
// */
//protected ILabelProvider createLabelProviderInstance(Class clazz, String data, Object initData) {
//	if (ICanBeSingleton.class.isAssignableFrom(clazz)) {
//		try {
//			java.lang.reflect.Method getInstance = clazz.getMethod("getInstance", null);
//			return (ILabelProvider)  getInstance.invoke(null, null);
//		} catch (NoSuchMethodException e) {
//			// Do nothing, this is OK, try it not as a singleton.
//		} catch (Exception exc) {
//			String msg = MessageFormat.format(NLS.getResourceString(NLS.NOT_INSTANTIATE), new Object[] {clazz, "" });		
//			EMFPlugin.getPlugin().getLog().log(new Status(IStatus.WARNING, EMFPlugin.getPlugin().getPluginID(), 0, msg, exc));
//		}
//	}
//				
//	Constructor ctor = null;
//	try {
//		ctor = clazz.getConstructor(new Class[] {IPropertyDescriptor.class});
//	} catch (NoSuchMethodException e) {
//	};
//	try {
//		ILabelProvider provider = null;
//		if (ctor != null) {
//			provider = (ILabelProvider) ctor.newInstance(new Object[] {this});
//		} else {
//			provider = (ILabelProvider) clazz.newInstance();
//		}
//		
//		EMFPlugin.setInitializationData(provider, data, initData);
//		return provider;
//	} catch (Exception exc) {
//		String msg = MessageFormat.format(NLS.getResourceString(NLS.NOT_INSTANTIATE), new Object[] {clazz, ""});		
//		EMFPlugin.getPlugin().getLog().log(new Status(IStatus.WARNING, EMFPlugin.getPlugin().getPluginID(), 0, msg, exc));
//	}
//	return null;
//}
///**
// * aSource is the MethodProxy, aValue is the JavaObjectInstance
// * The way method parms are stored is via a parameterconnection, e.g.
// * <nodes xmi:type="Method" xmi:id="m1" method="Dialog.setTitle"/>
// * <nodes xmi:type="BeanConstant" xmi:id="c1">
// *   <bean xmi:type="java.lang:String" initializationString=""Hello World""/>
// * </nodes>
// * <connections xmi:type="ParameterConnection" source="c1" target="m1" parameterName="title"/> 
// */
public Command setValue(IPropertySource aSource, final Object aValue){
	return null;
//	return new AbstractCommand(){
//			protected CommandBuilder builder = new CommandBuilder("Set Method Parm");
//			protected ParameterConnection parmConnection;
//		public void undo(){
//			builder.getCommand().undo();
//		}
//		public void redo(){
//			execute();
//		}
//		public boolean canExecute(){
//			return true;
//		}
//		public boolean canUndo() {
//			return true;
//		}
//		public void execute(){
//		// First - look to see if there is a parameter connection
//			String parmName = ConnectionUtilities.getParmName(fJavaParm);
//			parmConnection = ConnectionUtilities.getParameterConnectionNamed(fMethodNode,parmName);
//			if ( parmConnection == null ) {
//				parmConnection = JBCFVCEContext.VCE_FACTORY.createParameterConnection();
//				builder.applyAttributeSetting(fMethodNode.getComposition(),JBCFBaseContext.SF_COMPOSITION_CONNECTIONS,parmConnection);
//				builder.applyAttributeSetting(parmConnection,OCMModelConstants.getOCMPackage().metaConnection().metaTargetNode(),fMethodNode);
//				// This does not have to be undoable - we just created the parm connection
//				// and there is no back pointer so we can just undo the addition to the compositoin
//				// and its target node if we undo the command - the parm name can remain set on it
//				parmConnection.setParameterName(parmName);
//			}
//			// If the connection is there then get its source
//			Object parmSource = parmConnection.getSourceNode();
//			// The source node might be a BeanConstant.  If this is the case just change its bean
//			// of the source node might be absent in which case create one
//			com.ibm.etools.ocb.OCMHack.fixMe("Need to deal with methods as source of parm connections");
//			BeanJavaConstant beanConstant = null;
//			if ( parmSource instanceof BeanJavaConstant ) {
//				beanConstant = (BeanJavaConstant)parmSource;
//			} else if ( parmSource == null ) {
//				beanConstant = ((com.ibm.etools.jbcf.emf.vce.VceFactory)JBCFVCEContext.VCE_PACKAGE.getFactory()).createBeanJavaConstant();
//				builder.applyAttributeSetting(fMethodNode.getComposition(),JBCFBaseContext.SF_COMPOSITION_NODES,beanConstant);
//				builder.applyAttributeSetting(parmConnection,OCMModelConstants.getOCMPackage().metaConnection().metaSourceNode(),beanConstant);
//			}
//			builder.applyAttributeSetting(beanConstant,JBCFVCEContext.SF_BEANJAVACONSTANT_BEAN,aValue);
//			builder.getCommand().execute();				
//		}
//	};	
}
public Command resetValue(IPropertySource aSource){
	return null;
}
}