package com.ibm.etools.jbcf.visual;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.util.Collections;
import java.util.List;

import com.ibm.etools.common.command.Command;

/**
 * @version 	1.0
 * @author
 */
public class CardLayoutSwitcher extends LayoutSwitcher {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	protected CardLayoutPolicyHelper helper;

	public CardLayoutSwitcher(ContainerPolicy cp) {
		super(cp);
		helper = new CardLayoutPolicyHelper(cp);
	}
	/*
	 * @see LayoutSwitcher#getChangeConstraintsCommand(List)
	 */
	protected Command getChangeConstraintsCommand(List children) {
		List constraints = helper.getDefaultConstraint(children);
		return helper.getAddChildrenCommand(children, constraints, null);	// Now let the helper add them back correctly.
	}

}
