package com.ibm.etools.jbcf.visual;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.util.EventListener;
import com.ibm.etools.java.instantiation.base.IJavaObjectInstance;

/**
 * Listener for when a JTabbedPane page is selected.
 */
public interface IJTabbedPanePageListener extends EventListener {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	/*
	 * The page of a JTabbedPane has been selected
	 */
	public void pageSelected(IJavaObjectInstance page);
}
