package com.ibm.etools.jbcf.visual;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.cde.*;
import com.ibm.etools.gef.EditPolicy;

/**
 * Graphical edit part for handling java.awt.ScrollPane in the Graph viewer.
 * Note: ScrollPane can only have one child.
 */
public class ScrollPaneGraphicalEditPart extends ContainerGraphicalEditPart {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public ScrollPaneGraphicalEditPart(Object model) {
		super(model);
	}

	protected void createLayoutEditPolicy() {
		installEditPolicy(EditPolicy.LAYOUT_ROLE, new FlowLayoutEditPolicy(new ScrollPaneContainerPolicy(EditDomain.getEditDomain(this))));
	}
}