package com.ibm.etools.jbcf.visual.beaninfo;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.beans.PropertyChangeListener;
 
public class NoBorderSelectedPropertyPage extends JPanel implements IBorderPropertyPage{
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public NoBorderSelectedPropertyPage(){
		super();
		initialize();
	}
	
	public String getName(){
		return "NoBorderSelectedPropertyPage"; //$NON-NLS-1$
	}
	
	public String getDisplayName(){
		return ""; //$NON-NLS-1$
	}
	
	public void initialize(){
		this.setName("NoBorderSelectedPropertyPage"); //$NON-NLS-1$
		setBackground(SystemColor.control);
		setLayout(new BorderLayout());
		JPanel p1 = new JPanel();
		p1.setBackground(SystemColor.control);
		add(p1, "Center");		 //$NON-NLS-1$
	}
	public String getJavaInitializationString(){
		return ""; //$NON-NLS-1$
	}
	
	public Border getBorderValue(){
		return null;
	}
	
	public boolean okToSetBorder(Border aBorder) {
		return false;
	}
}