package com.ibm.etools.jbcf.visual.tab;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.gef.GraphicalEditPart;
import com.ibm.etools.java.instantiation.base.*;

/**
 * @author JoeWin
 */
public interface ITabRootEditPart extends GraphicalEditPart {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
/**
 * Add an annotation view object
 */
void addAnnotation(GraphicalEditPart  aGEP);
/**
 * Return the root bean
 */
IJavaInstance getBean();
/**
 * Remove an annotation view object
 */
void removeAnnotation(GraphicalEditPart aViewObject);

boolean isShowingTabOrder();

void setShowTabOrder(boolean show);

}
