package com.ibm.etools.propertysheet;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001, 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */


import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.swt.widgets.Composite;
/**
 * This is a property descriptor for integers, and not
 * just numbers in general.
 */
public class IntegerPropertyDescriptor extends NumberPropertyDescriptor {
	public static final String copyright = "(c) Copyright IBM Corporation 2001, 2002."; //$NON-NLS-1$
	public IntegerPropertyDescriptor(Object propertyID, String propertyDisplayname) {
		super(propertyID, propertyDisplayname);
	}	
	
	public CellEditor createPropertyEditor(Composite parent) {
		NumberCellEditor editor = (NumberCellEditor) super.createPropertyEditor(parent);
		editor.setType(NumberCellEditor.INTEGER);
		return editor;
	}	

}