package com.ibm.etools.proxy;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001, 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */


/**
 * Factory for creating BeanTypeProxy's.
 * This is a common tag interface so that
 * the factory can be registered. But each
 * VM requires a different interface that
 * extends this interface. That extended
 * interface is what must be implemented in
 * each VM.
 * Creation date: (12/3/99 2:26:00 PM)
 * @author: Joe Winchester
 */
public interface IBeanTypeProxyFactory extends IBeanProxyFactory {

	public static final String copyright = "(c) Copyright IBM Corporation 2001, 2002."; //$NON-NLS-1$
}
