package com.ibm.etools.proxy.remote;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001, 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.proxy.IBeanTypeProxy;
/**
 * This is a special interface for allowing abstract
 * types to create the correct subclass types.
 * Only ones that use REMAnAbstractBeanTypeProxy
 * should implement this.
 */
public interface IREMSpecialBeanTypeProxy {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2001, 2002."; //$NON-NLS-1$
	/**
	 * Called by REMAnAbstractBeanTypeProxy to create a subclass of it.
	 * This allows correct types to be created depending upon the
	 * main super type.
	 */
	public IREMBeanTypeProxy newBeanTypeForClass(Integer anID, String aClassname, boolean anAbstract, IBeanTypeProxy superType);
}