package com.ibm.etools.beaninfo.testing;

import java.util.TooManyListenersException;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */
/**
 * A class with some properties. Introspect's through reflection. All of superclass will show up.
 * (Note: Event is never actually sent. It is only for testing reflection).
 */
public class Test1Class {
	private boolean setting;
	public boolean isSet() {
		return setting;
	}
	public void setSet(boolean setting) {
		this.setting = setting;
	}

	public String toString() {
		return "Test1Class with setting of " + String.valueOf(setting);
	}

	public void setFoo(int index, java.lang.String value) {
	}

	public String getFoo(int index) {
		return null;
	}

	public void setFoo(java.lang.String[] values) {
	}

	public String[] getFoo() {
		return null;
	}

	public void addTest1ClassEventListener(ITest1ClassEventListener listener) {
	}
	public void removeTest1ClassEventListener(ITest1ClassEventListener listener) {
	}

	public void addTest1ClassUnicastEventListener(ITest1ClassEventListener listener) throws TooManyListenersException {
	}
	public void removeTest1ClassUnicastEventListener(ITest1ClassEventListener listener) {
	}
}