package com.ibm.etools.beaninfo.testing;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.beans.*;
/** 
 * This is a do nothing beaninfo so that Introspection
 * on the remote vm occurs but reflection will be performed.
 * This will test that the remote vm is recycled as needed.
 */

public class TestChangesClassBeanInfo extends IvjBeanInfo {
	
/**
 * Gets the bean class.
 * @return java.lang.Class
 */
public static Class getBeanClass() {
	return TestChangesClass.class;
}
public BeanDescriptor getBeanDescriptor() {
	java.beans.BeanDescriptor aDescriptor = null;
	try {
		/* Create and return the WindowBeanInfobean descriptor. */
		aDescriptor = new java.beans.BeanDescriptor(getBeanClass());
	} catch (Throwable exception) {
	};
	return aDescriptor;
}

/**
 * @return an icon of the specified kind for JButton
 */
public java.awt.Image getIcon(int kind) {
	return super.getIcon(kind);
}

}