package com.ibm.etools.cde;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.util.*;
import org.eclipse.jface.action.IContributionItem;

public class ContributionRegistry  {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
protected Map map = new HashMap(15);

public IContributionItem getContributionItem(Object key){
	return (IContributionItem)map.get(key);
}
public Iterator getContributionItems() {
	return map.values().iterator();
}

public void registerContributionItem(IContributionItem action) {
	registerContributionItem(action.getId(), action);
}

private void registerContributionItem(String key, IContributionItem action) {
	map.put(key, action);
}
}
