package com.ibm.etools.cde.emf;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.cde.EditDomain;

/**
 * If a CreationTool.Factory implements this method, then
 * it needs to know the EditDomain to work. The CDECreationTool
 * will know to set the domain when it is activated onto its factory,
 * if the factory implements this interface.
 * @version 	1.0
 * @author
 */
public interface IDomainedFactory {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public void setEditDomain(EditDomain domain);

}
