package com.ibm.etools.cdm.model;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */


public interface CDMModelConstants {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public static final String
		// This is the key in the visual info for the visual constraint.
		// The constraint could be a Point, Dimension, or Rectangle from com.ibm.etools.ocm.model.
		VISUAL_CONSTRAINT_KEY = "com.ibm.etools.cdm.model.visualconstraintkey", //$NON-NLS-1$
		
		// This is the key in the visual info for the bendPoints of a connection.
		VISUAL_BENDPOINTS_KEY = "com.ibm.etools.cdm.model.visualbendpointskey"; //$NON-NLS-1$


}