package com.ibm.etools.jbcf;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.emf.ref.RefStructuralFeature;
import com.ibm.etools.proxy.IBeanProxy;

public class BeanFieldProxyFeatureMediator implements IBeanProxyFeatureMediator {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public void applied(RefStructuralFeature sf, IBeanProxy host, IBeanProxy settingBean) {
		BeanProxyUtilities.setBeanField(sf.refName(), host, settingBean);
	}

	public IBeanProxy getValue(RefStructuralFeature sf, IBeanProxy aHost) {
		return BeanProxyUtilities.getBeanField(sf.refName(), aHost);
	}

}