package com.ibm.etools.jbcf.codegen;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.emf.ref.RefObject;

/**
 * @version 	1.0
 * @author
 */
public interface ITransientErrorEvent {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public final static String TYPE_PARSER_ERROR = "typeParserFatal"; //$NON-NLS-1$
	public final static String TYPE_COMPILER_ERROR = "typeCompilerError"; //$NON-NLS-1$
	public final static String TYPE_INFO = "typeInformation"; //$NON-NLS-1$
	public final static String TYPE_CORRECTED_BEAN = "typeCorrectedBean"; //$NON-NLS-1$
	public final static String TYPE_CORRECTED_FEATURE = "typeCorrectedFeature"; //$NON-NLS-1$
	
	public String getErrorType();
	
	public RefObject getRefObject();
	
	public String getMessage();
	
}
