package com.ibm.etools.jbcf.codegen.java;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */


import com.ibm.etools.emf.ref.RefStructuralFeature;
import com.ibm.etools.java.instantiation.base.IJavaInstance;
import org.eclipse.jdt.internal.compiler.ast.*;
import com.ibm.etools.beaninfo.adapters.Utilities;
import com.ibm.etools.jbcf.codegen.util.*;
import com.ibm.etools.emf.ecore.EClass;
import com.ibm.etools.emf.ref.RefObject;
import java.util.*;
import com.ibm.etools.beaninfo.PropertyDecorator;
import com.ibm.etools.java.Method;
import com.ibm.etools.emf.ref.RefStructuralFeature;
import com.ibm.etools.emf.ecore.EStructuralFeature;

/**
 *  For compnents , e.g., add(foo) 
 */
public class ConstraintFeatureMapper extends AbstractFeatureMapper {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
public RefStructuralFeature getFeature (Statement expr) {
	
	
     if (fSF != null) return fSF ;
     
     if (fRefObj == null || expr==null) return null ;
     	    
     getMethodName(expr)  ;
     StringBuffer  sb = new StringBuffer() ;
     
         
     fSF =(RefStructuralFeature) ((RefObject)fRefObj).refMetaObject().metaObject(CONSTRAINT_FEATURE_NAME) ;  
     sb.append(Character.toLowerCase(fMethodName.charAt(3))) ;
     for (int i = 4;  i< fMethodName.length(); i++) {
    	    sb.append(fMethodName.charAt(i)) ;
     }
     fSFname = sb.toString() ;
                	
  
     return fSF ;		
}


}


