package com.ibm.etools.jbcf.codegen.java;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */


import com.ibm.etools.emf.ref.RefStructuralFeature;
import com.ibm.etools.java.instantiation.base.IJavaInstance;
import org.eclipse.jdt.internal.compiler.ast.*;
import com.ibm.etools.beaninfo.adapters.Utilities;
import com.ibm.etools.jbcf.codegen.util.*;
import com.ibm.etools.emf.ecore.EClass;
import com.ibm.etools.emf.ref.RefObject;
import java.util.*;
import com.ibm.etools.beaninfo.PropertyDecorator;
import com.ibm.etools.java.Method;
import com.ibm.etools.emf.ref.RefStructuralFeature;
import com.ibm.etools.emf.ecore.EStructuralFeature;


public class ContainerFeatureMapper extends AbstractFeatureMapper {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
public RefStructuralFeature getFeature (Statement expr) {
	
	
     if (fSF != null) return fSF ;
     
     if (fRefObj == null || expr==null) return null ;
     	    
     getMethodName(expr)  ;
              
     fSF =(RefStructuralFeature) ((RefObject)fRefObj).refMetaObject().metaObject(COMPONENT_FEATURE_NAME) ;  
     fSFname = fMethodName ;
                	  
     return fSF ;		
}

protected String getMethodName(Statement expr) {
	String name = super.getMethodName(expr) ;
	if (name == null) 
	   name = ContainerDecoder.ADD_METHOD  ;
	return name ;
}

public String getMethodName() {
	String name = super.getMethodName() ;
	if (name == null) 
	   name = ContainerDecoder.ADD_METHOD  ;
	return name ;
}

}


