package com.ibm.etools.jbcf.codegen.java;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */
/**
 * @version 	1.0
 * @author
 * 
 * 
 */
public interface ISourceTranslatorListener {
    
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
    // Denotes that a source delta updated 
    // the JVE model.  This callback will be called on the
    // UI thread, after a call to snippetProcessingCompleted()
    void  modelUpdated() ;
    // Snippet work has been queued. will not be called on UI thread.
    // Note: multiple calls may be made before a single complete is called.
    void  snippetProcessingStart() ;
    // Snippet work has been completed, may not be called on UI thread.
    void  snippetProcessingCompleted () ;

}
