package com.ibm.etools.jbcf.codegen.java.rules;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.jbcf.codegen.IDiagramModelInstance;
import com.ibm.etools.jbcf.codegen.java.ITypeResolver;

import org.eclipse.jdt.internal.compiler.ast.AbstractVariableDeclaration;


public interface IInstanceVariableRule {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
static String RULE_ID = "ruleInstanceVariable" ;	 //$NON-NLS-1$


/**
 * Give the parser a hint if an instance variable is to be ignored.
 */
public boolean ignoreVariable(AbstractVariableDeclaration field, ITypeResolver resolver, IDiagramModelInstance di) ;
	

}
	
