package com.ibm.etools.jbcf.codegen.java.rules;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import org.eclipse.jdt.internal.compiler.ast.* ;
import com.ibm.etools.jbcf.codegen.model.* ;
import com.ibm.etools.jbcf.codegen.java.ISourceVisitor ;


public class IfStatementRule implements IIfStatementRule {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
/**
 *  No Overide
 */
public ISourceVisitor overideIFVisit(AbstractMethodDeclaration method, IfStatement stmt, IBeanDeclModel model){
	return null;
}

/**
 *  We can try to use some pattern analysys.  e.g., VAJ's initialization as 
 *  if (ivjFoo == null) {  initialize block }
 */
public int whichPartToProcess(AbstractMethodDeclaration method, IfStatement stmt){
	// This will do for now,
	return PROCESS_IF ;
}

}