package com.ibm.etools.jbcf.codegen.java.rules;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.jbcf.codegen.java.* ;
import com.ibm.etools.jbcf.codegen.model.* ;
import org.eclipse.jdt.internal.compiler.ast.* ;

public class OverideMethodVisitRule implements IOverideMethodVisitRule {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
/**
 *
 */	
protected boolean sameContent (String st,char [] cArray) {
	if (st == null ||
	    st.length() != cArray.length) return false ;
	return st.equals(new String(cArray)) ;
}


/**
 *
 */	
public ISourceVisitor overideMethodVisit(AbstractMethodDeclaration method, IBeanDeclModel model){
	if ( sameContent("initialize",method.selector)) {  // Maybe do something different here, same for connFooFoo() //$NON-NLS-1$
		return null ;
	}	
	return null;
}

}