package com.ibm.etools.jbcf.codegen.util;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */
public class InstanceVariableTemplate {
	
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
final public static String INITIALIZOR =   "= null" ; //$NON-NLS-1$
final public static String MODIFIER    =   "private" ; //$NON-NLS-1$


	
	
	String fComments [] ;
	String fType ;
	String fName ;
	int    fIndent=5 ;
	String fSeperator = System.getProperty("line.separator") ; //$NON-NLS-1$


public InstanceVariableTemplate (String name, String t, String[] comments) {
	fComments = comments;
	fName = name ;
	fType = t ;
}

	
public void setComments(String[] c) {  fComments = c; }	
public void setComment(String c) { fComments = new String[] {c}; }
public void setType(String t) { fType = t ; }
public void setName(String n) { fName = n ; }
public void setIndent(int i) { fIndent = i; } ;
public void setSeperator (String sep) { fSeperator = sep ; }
public String getSeperator () { return fSeperator ; }



	
public String toString () {
		
    StringBuffer st = new StringBuffer() ;	
	
    for (int i=0; i<fIndent; i++)
	   st.append(ExpressionTemplate.SPACE) ;	
    st.append(MODIFIER+ExpressionTemplate.SPACE) ;
    st.append(fType+ExpressionTemplate.SPACE) ;
    st.append(fName+ExpressionTemplate.SPACE) ;   
    st.append(INITIALIZOR+ExpressionTemplate.SEMICOL) ;
    com.ibm.etools.cde.CDEHack.fixMe("Multi Line Comment") ; //$NON-NLS-1$
    if (fComments != null && fComments.length>0)
      if (fComments[0]!= null)
       st.append(ExpressionTemplate.SPACE+ExpressionTemplate.COMMENT+fComments[0]) ;
    st.append(fSeperator) ;
    
    return st.toString() ;
    
}

}


