package com.ibm.etools.jbcf.editorpart;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.jbcf.codegen.ICodeGenStatus;
import com.ibm.etools.jbcf.codegen.IJVEStatusChangeListener;

/**
 * @version 	1.0
 * @author
 */
public interface IJVEStatus extends ICodeGenStatus {
    
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
    public final static int  NORMAL_MSG   = 0 ;
    public final static int  ERROR_MSG    = 1 ;
    public final static int  WARNING_MSG  = 2 ;
    
    public  void showMsg(String msg,int kind) ;
    public  void addStatusListener(IJVEStatusChangeListener sl) ;
    public  void removeStatusListener(IJVEStatusChangeListener sl) ;
    

}
