package com.ibm.etools.jbcf.vce.javabeanviewer;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.emf.ref.*;
import java.util.*;
import com.ibm.etools.gef.*;
import com.ibm.etools.java.instantiation.base.*;
import com.ibm.etools.draw2d.*;

public interface IContainerLayoutPolicy {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
boolean isStructuralFeature(RefStructuralFeature sf);

List getModelChildren();

EditPart createEditPart(Object child);

void setContainer(IJavaObjectInstance aContainerBean);

LayoutManager getLayoutManager();

void refreshFromEditPart(GraphicalEditPart aParentEitPart, GraphicalEditPart aChildEditPart,RefStructuralFeature sf);

}