package com.ibm.etools.jbcf.visual;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.cde.emf.DefaultTreeEditPart;
import com.ibm.etools.emf.notify.Notifier;
import com.ibm.etools.jbcf.JavaBeanTreeEditPart;

import org.eclipse.ui.views.properties.IPropertySource;
/**
 * Tree EditPart for an awt component.
 */
public class ComponentTreeEditPart extends JavaBeanTreeEditPart {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	protected IPropertySource propertySource;
	
	public ComponentTreeEditPart(Object model) {
		super(model);
	}
	
	public Object getAdapter(Class type) {
		if (type == IPropertySource.class)
			if (propertySource != null)
				return propertySource;
			else
				return ((Notifier) getModel()).getAdapter(IPropertySource.class);
		return super.getAdapter(type);
	}
	
	public void setPropertySource(IPropertySource source) {
			propertySource = source;
	}

}