package com.ibm.etools.jbcf.visual;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.jbcf.BeanProxyAdapter;
import com.ibm.etools.jbcf.IBeanProxyDomain;
import com.ibm.etools.proxy.*;

/**
 * Proxy Adaptor for handling AWT Menu Components.
 */
abstract public class MenuComponentProxyAdapter extends BeanProxyAdapter {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
public MenuComponentProxyAdapter(IBeanProxyDomain domain) {
	super(domain);
}
/**
 * Return the bean proxy to the java.awt.MenuComponent
 * For components it is the same as the bean proxy.  Subclasses can override if they provide the component
 * from another source. 
 */
protected IBeanProxy getVisualComponentBeanProxy(){

	return getBeanProxy();
	
}
}
