package com.ibm.etools.jbcf.visual;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.gef.EditPart;
import com.ibm.etools.draw2d.geometry.Point;
import com.ibm.etools.jbcf.vce.VCEPlugin;

/**
 * Window graphical edit parts have special logic for visibility.  When instantiated on the tree form
 * they do not apply the visibility changes so that they always remain visible so we can
 * get their graphic and listen to them
 */
public class WindowGraphicalEditPart extends ContainerGraphicalEditPart {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public static final Point OFF_SCREEN_LOCATION = new Point(-10000,-10000);
//	protected IOrderManager fTabOrderManager;
//	protected Rectangle fLightenedArea;
public WindowGraphicalEditPart(Object model) {
	super(model);
}
}


