package com.ibm.etools.jbcf.visual;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import com.ibm.etools.cde.IContainmentHandler;
import com.ibm.etools.cdm.DiagramData;

public class WindowModelAdapter extends ComponentModelAdapter implements IContainmentHandler {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	public WindowModelAdapter(Object model) {
		super(model);
	}

	/**
	 * @see IContainmentHandler#isParentValid(Object)
	 */
	public boolean isParentValid(Object parent) {
		// return true only for parents that are the freeform surface
		return parent instanceof DiagramData;
	}
}
