package com.ibm.etools.jbcf.visual.beaninfo;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.basic.*;
import javax.swing.border.*;

public class BorderCellRenderer extends DefaultListCellRenderer {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	String borderNames[];
		
public BorderCellRenderer(String[] names){
	super();
	borderNames = names;
}

public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus){
	String text = borderNames[index];
	super.getListCellRendererComponent(list, text, index, isSelected, cellHasFocus);
	return this;
} 


}