package com.ibm.etools.jbcf.visual.beaninfo;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.beans.PropertyChangeListener;

public interface IBorderPropertyPage {

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
public boolean okToSetBorder(Border aBorder);

public String getJavaInitializationString();

public void addPropertyChangeListener(PropertyChangeListener aListener);

public void removePropertyChangeListener(PropertyChangeListener aListener);

public Border getBorderValue();

public String getName();
// Return the display name for the property sheet for the current border
public String getDisplayName();

}