package com.ibm.etools.jbcf.visual.beaninfo;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.awt.*;
import javax.swing.*;
public class SwatchIcon implements Icon {
	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
	Color color = Color.black;
public SwatchIcon(Color aColor) {
	setColor(aColor);
}
public Color getColor() {
	return color;
}
public int getIconHeight() {
	return 12;
}
public int getIconWidth() {
	return 12;
}
public void paintIcon(Component c, Graphics g, int x, int y) {
	
	int offset = ((g.getFontMetrics().getHeight() - getIconHeight()) / 2) + 1;
	
	g.setColor(Color.black);
	g.drawRect(2,offset,getIconWidth(),getIconHeight());
	g.setColor(getColor());
	g.fillRect(3,offset+1,getIconWidth()-1,getIconHeight()-1);
}
public void setColor(Color aColor) {
	color = aColor;
}
}
