package com.ibm.etools.proxy.common;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001, 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

/**
 * This interface is to be implemented by any callback.
 * The callback will use the IVMServer passed in to
 * get callback handlers, and the id passed in is
 * to be passed to these handlers.
 */
public interface ICallback {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2001, 2002."; //$NON-NLS-1$
	/**
	 * Initialize the callback
	 */
	public void initializeCallback(IVMServer vmServer, int callbackID);

}