package com.ibm.etools.proxy.initParser;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001, 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */


/**
 * Constants for the parser.
 * Creation date: (11/05/00 9:37:45 PM)
 * @author: Administrator
 */
public interface IParserConstants {
	public static final String copyright = "(c) Copyright IBM Corporation 2001, 2002."; //$NON-NLS-1$
	// Define the delimiters
	public static final char DelimiterSpace = ' ';
	public static final char DelimiterPeriod = '.';
	public static final char DelimiterOpenParen = '(';
	public static final char DelimiterCloseParen = ')';
	public static final char DelimiterComma = ',';
	public static final char DelimiterQuote = '"';
	public static final char DelimiterEscape = '\\';
	public static final char DelimiterSingleQuote = '\'';
	public static final char DelimiterOpenElipse = '{';
	public static final char DelimiterCloseElipse = '}';	
	public static final char DelimiterOpenSquareBrace = '[';
	public static final char DelimiterCloseSquareBrace = ']';
	// Define the math functions
	public static final char OperPlus = '+';
	public static final char OperMinus = '-';
	public static final char OperMultiply = '*';
	public static final char OperDivide = '/';
	
	// Define constants
	public static final char[] ConstantNew = new char[] { 'n' , 'e' , 'w' };
	public static final char[] ConstantTrue = new char[] { 't' , 'r' , 'u' , 'e' };
	public static final char[] ConstantFalse = new char[] { 'f' , 'a' , 'l' , 's' , 'e' };
	public static final char[] ConstantNull = new char[] { 'n' , 'u' , 'l' , 'l' };
}
