package com.ibm.etools.proxy.remote;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2001, 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */


import com.ibm.etools.proxy.*;
import com.ibm.etools.proxy.common.remote.Commands;
/**
 * This interface is used for any BeanType that represents a constant type bean.
 * These are types that are immutable and a copy of the actual value is kept here
 * in the client and not stored as an object id.
 */

public interface IREMConstantBeanTypeProxy extends IBeanTypeProxy {
	
	public static final String copyright = "(c) Copyright IBM Corporation 2001, 2002."; //$NON-NLS-1$
	/**
	 * Create a new bean proxy the ValueObject passed in.
	 */
	public IBeanProxy newBeanProxy(Commands.ValueObject value);
}