package testfortaborderstuff;
/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2002 - All Rights Reserved. 
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

import java.util.*;
import javax.swing.*;

import com.ibm.etools.jbcf.visual.vm.TabOrderCalculator;

/**
 * @author JoeWin
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class TestJFrame extends JFrame {
	
	public TestJFrame(){
		initialize();
	}

	public static final String copyright = "(c) Copyright IBM Corporation 2002."; //$NON-NLS-1$
     private javax.swing.JPanel ivjContentPane = null;
     private javax.swing.JButton ivjJButton = null;
     private javax.swing.JButton ivjJButton2 = null;
     private javax.swing.JTextField ivjJTextField = null;
     private javax.swing.JCheckBox ivjJCheckBox = null;
	/**
	 * This method initializes ivjJFrame
	 * 
	 * @return javax.swing.JFrame
	 */
	/**
	 * This method initializes ivjContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getIvjContentPane() {
		if(ivjContentPane == null) {
			ivjContentPane = new javax.swing.JPanel();
			java.awt.FlowLayout layFlowLayout_1 = new java.awt.FlowLayout();
			ivjContentPane.setLayout(layFlowLayout_1);
			ivjContentPane.add(getIvjJButton(), null);
			ivjContentPane.add(getIvjJTextField(), null);
			ivjContentPane.add(getIvjJButton2(), null);
			ivjContentPane.add(getIvjJCheckBox(), null);
		}
		return ivjContentPane;
	}
	private void initialize(){
		setContentPane(getIvjContentPane());
		setSize(236, 199);		
	}
	/**
	 * This method initializes ivjJButton
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getIvjJButton() {
		if(ivjJButton == null) {
			ivjJButton = new javax.swing.JButton();
			ivjJButton.setText("First Button");
		}
		return ivjJButton;
	}
	/**
	 * This method initializes ivjJButton2
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getIvjJButton2() {
		if(ivjJButton2 == null) {
			ivjJButton2 = new javax.swing.JButton();
			ivjJButton2.setText("Third Button");
		}
		return ivjJButton2;
	}
	/**
	 * This method initializes ivjJTextField
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getIvjJTextField() {
		if(ivjJTextField == null) {
			ivjJTextField = new javax.swing.JTextField();
			ivjJTextField.setText("TextField");
		}
		return ivjJTextField;
	}
	/**
	 * This method initializes ivjJCheckBox
	 * 
	 * @return javax.swing.JCheckBox
	 */
	private javax.swing.JCheckBox getIvjJCheckBox() {
		if(ivjJCheckBox == null) {
			ivjJCheckBox = new javax.swing.JCheckBox();
			ivjJCheckBox.setText("CheckBox");
		}
		return ivjJCheckBox;
	}
	
	public static void main(String[] args) {
		
//		Properties properties = System.getProperties();
//		Iterator keys = properties.keySet().iterator();
//		while (keys.hasNext()) {
//			String element = (String) keys.next();
//			System.out.println(element + "=" + properties.get(element));
//		};
//		if(true)return;
	
		JFrame otherFrame = new JFrame();
		otherFrame.setLocation(-10000,-10000);
		JDialog freeFormDialog = new JDialog(otherFrame);
		freeFormDialog.setLocation(-10000,-10000);

		TestJFrame frame = new TestJFrame();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
		frame.setLocation(-10000,-10000);
		TabOrderCalculator calc = new TabOrderCalculator(frame);
		Object[] components = calc.getComponentOrder();
		for (int i = 0; i < components.length; i++) {
			Object[] sequence = (Object[])components[i];
			for (int j = 0; j < sequence.length; j++) {
				System.out.println(i + "/" + j + sequence[j]);
			}
		}		
	}
}
